package problems

import (
	"context"
	problemv1 "git.sch9.ru/new_gate/ms-tester/pkg/go/gen/proto/problem/v1"
	"google.golang.org/protobuf/types/known/emptypb"
)

type Handlers interface {
	CreateProblem(server problemv1.ProblemService_CreateProblemServer) error
	ReadProblem(ctx context.Context, req *problemv1.ReadProblemRequest) (*problemv1.ReadProblemResponse, error)
	DeleteProblem(ctx context.Context, req *problemv1.DeleteProblemRequest) (*emptypb.Empty, error)
}
